Coupons
Get a customer's coupons
Returns the coupons available to one customer at a shop. Identify the customer by card_id or user_id.
GET
/{locale}/shop/coupons/cardReturns the coupons available to one customer at a shop. Identify the customer by card_id or user_id.
Authorization
apiKey apiSecret X-API-Key<token>
Partner API key from the Partners Portal. Always sent together with X-API-Secret.
In: header
X-API-Secret<token>
Partner API secret. Always sent together with X-API-Key.
In: header
Path Parameters
locale*string
Locale code
Value in
- "lt"
- "en"
Query Parameters
shop_id*integer
Shop to list coupons for.
card_id?integer
Loyalty card ID.
user_id?integer
Customer user ID.
Response Body
application/json
curl -X GET "https://example.com/lt/shop/coupons/card?shop_id=1"{ "success": true, "code": 200, "request_id": "550e8400-e29b-41d4-a716-446655440000", "message": "Success message", "data": {}}